> For the complete documentation index, see [llms.txt](https://docs.presearch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.presearch.io/pregpt/faq/service-operation.md).

# Service operation

## Who created PreGPT 2.0?

The backend is managed by Salad.com, Venice.AI and Presearch in tandem.&#x20;

## What is used to Power PreGPT 2.0 ?

PreGPT 2.0 is fueled by Salad.com’s and Venice.AI's decentralized network of GPU nodes. For more insights into Salad's distributed cloud technology, visit their [blog](https://blog.salad.com/ai-gpu-shortage-distributed-cloud/?utm_source=email\&utm_medium=pu-email\&utm_campaign=tw-cloud) and [website](https://salad.com/). For information about Venice.AI visit their [website](https://venice.ai).

## What is the underlying LLM model ?

PreGPT 2.0 currently uses the Mistral 7B LLM model and models from Venice.AI.&#x20;

## Is PreGPT 2.0 built from open source components?

Many parts of PreGPT 2.0, including the LLMs and the UI (forked from Hugging Face), are open-sourced. The inference endpoints are hosted by Salad.com.

## What are the downtime expectations?

While we aim for consistent uptime, occasional downtime may occur due to high demand.

## What are the limitations of PreGPT 2.0 ?

Like all chatbots, PreGPT has its boundaries. It does not provide real-time or web-based information and operates with knowledge up until roughly Spring 2023, when the Mistral 7B training data ended. The current LLM model primarily supports English, with limited capabilities in other languages.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.presearch.io/pregpt/faq/service-operation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
